pcl::PFHSignature125 Struct Reference
Module common

A point structure representing the Point Feature Histogram (PFH). More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| PFHSignature125 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | histogram [125] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const PFHSignature125 &p)

## Detailed Description

A point structure representing the Point Feature Histogram (PFH).

Definition at line 1351 of file point_types.hpp.

## Constructor & Destructor Documentation

## PFHSignature125()

pcl::PFHSignature125::PFHSignature125 | ( |  | ) |

inline default

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::PFHSignature125::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1354 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PFHSignature125 & | p
| ) |  |

friend

## Member Data Documentation

## histogram

float pcl::PFHSignature125::histogram[125] = {0.f}

Definition at line 1353 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp